package com.ruoyi.jarvis.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Param;
import com.ruoyi.jarvis.domain.ErpProduct;

/**
 * 闲鱼商品Mapper接口
 * 
 * @author ruoyi
 * @date 2024-01-01
 */
public interface ErpProductMapper 
{
    /**
     * 查询闲鱼商品
     * 
     * @param id 闲鱼商品主键
     * @return 闲鱼商品
     */
    public ErpProduct selectErpProductById(Long id);

    /**
     * 查询闲鱼商品列表
     * 
     * @param erpProduct 闲鱼商品
     * @return 闲鱼商品集合
     */
    public List<ErpProduct> selectErpProductList(ErpProduct erpProduct);

    /**
     * 新增闲鱼商品
     * 
     * @param erpProduct 闲鱼商品
     * @return 结果
     */
    public int insertErpProduct(ErpProduct erpProduct);

    /**
     * 修改闲鱼商品
     * 
     * @param erpProduct 闲鱼商品
     * @return 结果
     */
    public int updateErpProduct(ErpProduct erpProduct);

    /**
     * 删除闲鱼商品
     * 
     * @param id 闲鱼商品主键
     * @return 结果
     */
    public int deleteErpProductById(Long id);

    /**
     * 批量删除闲鱼商品
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteErpProductByIds(Long[] ids);

    /**
     * 根据商品ID和appid查询
     * 
     * @param productId 商品ID
     * @param appid ERP应用ID
     * @return 闲鱼商品
     */
    public ErpProduct selectErpProductByProductIdAndAppid(@Param("productId") Long productId, @Param("appid") String appid);

    /**
     * 批量插入或更新闲鱼商品
     * 
     * @param erpProducts 闲鱼商品列表
     * @return 结果
     */
    public int batchInsertOrUpdateErpProduct(List<ErpProduct> erpProducts);
}

